MozillaZine

Next Seamonkey release 2.57, operating system compatibility

User Help for Seamonkey and Mozilla Suite
webmoebius
 
Posts: 220
Joined: January 21st, 2007, 12:52 pm

Post Posted October 10th, 2018, 1:59 am

I read that the next major Seamonkey release will be version 2.57, which would be based on Firefox-ESR 60.X. So would it be correct to assume that by 2.57, Win-XP support would end, since FF-ESR 60.X requires Win-7 or later, and therefore SM 2.49.4 would appear to be the final Win-XP compatible version?

therube

User avatar
 
Posts: 19101
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted October 10th, 2018, 10:12 am

The last version of SeaMonkey that will work on XP is 2.49.x, irregardless of what the next version of SeaMonkey may or may not be.

(There should be at least a 2.49.5, if not more.)


(Any talk of "2.57" is well into the future, if at all.)
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

webmoebius
 
Posts: 220
Joined: January 21st, 2007, 12:52 pm

Post Posted October 10th, 2018, 10:41 am

therube wrote:The last version of SeaMonkey that will work on XP is 2.49.x, irregardless of what the next version of SeaMonkey may or may not be. (There should be at least a 2.49.5, if not more.) (Any talk of "2.57" is well into the future, if at all.)


That's great to know, I'll advise other users on that OS on this point. I had the impression that with Firefox-ESR 60.X out, that the move to 2.57 would be quite imminent.

frg
 
Posts: 625
Joined: December 15th, 2015, 1:20 pm

Post Posted October 10th, 2018, 11:45 pm

> that the move to 2.57 would be quite imminent.

If they hadn't broken us so severe that would be true. But as it is we need to fix the mail client and add web extension support too. No ad and script blocker is currently compatible with 2.57 (and TB 60 too). So 2.49.x still has a few months left.
We are moving away from mozilla infrastructure but ours is not ready yet. If in a pinch I can provide a x86 local 2.49.5 build not for redistribution. Be advised that is only up to Fx 61 yet wrt sec fixes.

FRG

frg
 
Posts: 625
Joined: December 15th, 2015, 1:20 pm

Post Posted October 10th, 2018, 11:48 pm

> Be advised that is only up to Fx 61 yet wrt sec fixes.

Opps 62.0 or more or less a nonexisting intial 52.10.

Return to SeaMonkey Support


Who is online

Users browsing this forum: Google [Bot] and 3 guests